org.gradle.plugins.javascript.envjs.http.simple

## Class SimpleHttpFileServer

- java.lang.Object
- - org.gradle.plugins.javascript.envjs.http.simple.SimpleHttpFileServer

- All Implemented Interfaces:
    HttpFileServer

      public class SimpleHttpFileServer
      extends Object
      implements HttpFileServer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHttpFileServer(File contentRoot, int port, org.gradle.internal.Stoppable stopper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getContentRoot()`
    `int` | `getPort()`
    `String` | `getResourceUrl(String path)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHttpFileServer

          public SimpleHttpFileServer(File contentRoot,
                              int port,
                              org.gradle.internal.Stoppable stopper)

  - ### Method Detail

    - #### getPort

          public int getPort()

      Specified by:
        `getPort` in interface `HttpFileServer`

    - #### getResourceUrl

          public String getResourceUrl(String path)

      Specified by:
        `getResourceUrl` in interface `HttpFileServer`

    - #### getContentRoot

          public File getContentRoot()

      Specified by:
        `getContentRoot` in interface `HttpFileServer`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `HttpFileServer`